Name:			gimp-paint-studio
Version:		2.0
Release:		6%{?dist}
Summary:		A collection of tool option presets and brushes for GIMP
License:		CC-BY-SA and GPLv2
URL:			http://code.google.com/p/gps-%{name}/
Source0:		https://gps-%{name}.googlecode.com/files/GPS_2_0.tar.gz
BuildArch:		noarch

Requires:		gimp >= 2.8

%description
GIMP Paint Studio(GPS) is a collection of brushes and accompanying tool
presets. Tool presets are a simply saved tool options, highly useful feature of
the GIMP. The goal of GPS is to provide an adequate working environment for
graphic designers and artists to begin to paint and feel comfortable with GIMP
from their first use.

%prep
%setup -qc %{name}-%{version}

%install
mkdir -p %{buildroot}%{_datadir}/gimp/2.0
cp -pr %{_builddir}/%{name}-%{version}/brushes \
		%{_builddir}/%{name}-%{version}/dynamics \
		%{_builddir}/%{name}-%{version}/gradients \
		%{_builddir}/%{name}-%{version}/splashes\
		%{_builddir}/%{name}-%{version}/palettes \
		%{_builddir}/%{name}-%{version}/patterns \
		%{_builddir}/%{name}-%{version}/tool-presets \
		%{buildroot}/usr/share/gimp/2.0

%files
#CC-BY-SA
%{_datadir}/gimp/2.0/brushes/GPS-Brushes/
%{_datadir}/gimp/2.0/dynamics/GPS-Eraser/
%{_datadir}/gimp/2.0/dynamics/GPS-Fx/
%{_datadir}/gimp/2.0/dynamics/GPS-Set1/
%{_datadir}/gimp/2.0/dynamics/GPS-Set2/
%{_datadir}/gimp/2.0/dynamics/GPS-Sketch/
%{_datadir}/gimp/2.0/dynamics/GPS-Smudge/
%{_datadir}/gimp/2.0/gradients/GPS-Grad/
%{_datadir}/gimp/2.0/splashes/GPS-2_0--splash-techno-dark.jpg
%{_datadir}/gimp/2.0/palettes/GPS-Pal/
%{_datadir}/gimp/2.0/patterns/GPS-Pat/
#GPLv2
%{_datadir}/gimp/2.0/tool-presets/GPS-Eraser/
%{_datadir}/gimp/2.0/tool-presets/GPS-Fx/
%{_datadir}/gimp/2.0/tool-presets/GPS-Ink/
%{_datadir}/gimp/2.0/tool-presets/GPS-Set1/
%{_datadir}/gimp/2.0/tool-presets/GPS-Set2/
%{_datadir}/gimp/2.0/tool-presets/GPS-Sketch/
%{_datadir}/gimp/2.0/tool-presets/GPS-Smudge/

# Conditional for RHEL6 and less
%if 0%{?rhel} <= 6
	%doc License?for?Contents License_gpl-2.0.txt Readme.txt
%else
	%doc "License for Contents" License_gpl-2.0.txt Readme.txt
%endif

%changelog
* Thu Aug 15 2013 Luya Tshimbalanga <luya@fedoraproject.org> - 2.0-6
- Add conditional for documentation due to rpm < 4.10 bug

* Wed Aug 14 2013 Luya Tshimbalanga <luya@fedoraproject.org> - 2.0-5
- Rebuilt with new upstream file including licenses

* Mon Aug 12 2013 Luya Tshimbalanga <luya@fedoraproject.org> - 2.0-4
- Fixes spec according to review (rhbz#989359)

* Sat Jul 27 2013 Luya Tshimbalanga <luya@fedoraproject.org> - 2.0-1
- Initial release for Fedora

